RobotResults (Robocode 1.2.4-Beta API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control
Class RobotResults

    java.lang.Object
      robocode.control.RobotResults

    public class RobotResults

extends java.lang.Object

Contains results for a robot when a battle completes. This class is returned from `RobocodeListener.battleComplete(robocode.control.BattleSpecification, robocode.control.RobotResults[])`

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)

Constructor Summary
`RobotResults(RobotSpecification robot, int rank, double score, double survival, double lastSurvivorBonus, double bulletDamage, double bulletDamageBonus, double ramDamage, double ramDamageBonus, int firsts, int seconds, int thirds)`

Method Summary
`int` | `getBulletDamage()` Gets the bullet damage score of this robot.
`int` | `getBulletDamageBonus()` Gets the bullet damage bonus of this robot.
`int` | `getFirsts()` Gets the number of times this robot placed first.
`int` | `getLastSurvivorBonus()` Gets the last survivor bonus of this robot.
`int` | `getRamDamage()` Gets the ram damage score of this robot.
`double` | `getRamDamageBonus()` Gets the ram damage bonus of this robot.
`int` | `getRank()` Gets the rank of this robot in the results.
`RobotSpecification` | `getRobot()` Gets the robot these results are for.
`int` | `getScore()` Gets the total score of this robot.
`int` | `getSeconds()` Gets the number of times this robot placed second.
`int` | `getSurvival()` Gets the survival score of this robot.
`int` | `getThirds()` Gets the number of times this robot placed third.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobotResults

    public RobotResults(RobotSpecification robot,
                        int rank,
                        double score,
                        double survival,
                        double lastSurvivorBonus,
                        double bulletDamage,
                        double bulletDamageBonus,
                        double ramDamage,
                        double ramDamageBonus,
                        int firsts,
                        int seconds,
                        int thirds)

Method Detail

### getRobot

    public RobotSpecification getRobot()

  Gets the robot these results are for.

  Returns:
    the robot these results are for.

### getRank

    public int getRank()

  Gets the rank of this robot in the results.

  Returns:
    the rank of this robot in the results.

### getScore

    public int getScore()

  Gets the total score of this robot.

  Returns:
    the total score of this robot.

### getSurvival

    public int getSurvival()

  Gets the survival score of this robot.

  Returns:
    the survival score of this robot.

### getLastSurvivorBonus

    public int getLastSurvivorBonus()

  Gets the last survivor bonus of this robot.

  Returns:
    the last survivor bonus of this robot.

### getBulletDamage

    public int getBulletDamage()

  Gets the bullet damage score of this robot.

  Returns:
    the bullet damage score of this robot.

### getBulletDamageBonus

    public int getBulletDamageBonus()

  Gets the bullet damage bonus of this robot.

  Returns:
    the bullet damage bonus of this robot.

### getRamDamage

    public int getRamDamage()

  Gets the ram damage score of this robot.

  Returns:
    the ram damage score of this robot.

### getRamDamageBonus

    public double getRamDamageBonus()

  Gets the ram damage bonus of this robot.

  Returns:
    the ram damage bonus of this robot.

### getFirsts

    public int getFirsts()

  Gets the number of times this robot placed first.

  Returns:
    the number of times this robot placed first.

### getSeconds

    public int getSeconds()

  Gets the number of times this robot placed second.

  Returns:
    the number of times this robot placed second.

### getThirds

    public int getThirds()

  Gets the number of times this robot placed third.

  Returns:
    the number of times this robot placed third.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD